<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="layout">
    <div class="header position-relative">
      <img src="@/assets/imgs/logo_new.png" class="position-absolute" />
      <div class="title d-none d-md-block">Tạo file excel mẫu</div>
    </div>
    <div class="container">
      <div class="body d-none d-md-block">
        <div class="row">
          <div class="col-md-6 import-box has-border">
            <div class="d-loading" v-if="isLoadingData">
              <div class="m-loader m-loader--brand m-loader--lg centering"></div>
            </div>
            <div class="body-header">Danh sách các trường tùy chọn</div>
            <div v-for="(att, index) in attributes" :key="index">
              <div class="d-flex justify-content-between attribute-header">
                <div class="d-flex align-items-center">
                  <div class="att-icon" :class="att.color"></div>
                  <div class="body-title">{{ att.name }} ({{ att.data.length }})</div>
                </div>
                <a :href="att.url" target="_blank">
                  <button class="btn" type="button" v-if="att.name !== codeName.Product">
                    <i class="icon icon-plus" style="margin-right: 10px"></i>
                    <span>Thêm trường thông tin</span>
                  </button>
                </a>
              </div>
              <draggable
                animation="150"
                :list="att.data"
                :group="{ name: 'attributes', pull: 'clone', put: false }"
              >
                <div
                  v-for="(data, indexA) in att.data"
                  class="d-flex attribute can-disabled"
                  :class="{ disabled: data.isDisabled }"
                  :key="indexA"
                >
                  <div class="att-sortable">
                    <i class="icon icon-dragdrop"></i>
                  </div>
                  <div
                    class="name"
                    :class="{ 'required': data.is_required }"
                  >{{ data.attribute_name }}</div>
                </div>
              </draggable>
            </div>
          </div>
          <div class="col-md-6 import-box d-flex flex-column">
            <div class="d-loading" v-if="isLoading">
              <div class="m-loader m-loader--brand m-loader--lg centering"></div>
            </div>
            <div class="body-header">Danh sách các trường trong file Excel</div>
            <div
              class="body-title"
              style="margin-top: 30px; margin-bottom: 15px"
            >Số trường đã chọn ({{ selectedData.length }})</div>
            <draggable
              animation="150"
              :list="selectedData"
              group="attributes"
              style="flex: 1"
              @change="onChange"
            >
              <div
                v-for="data in selectedData"
                class="d-flex attribute tooltip-css"
                :class="data.class"
                :key="data.uid"
              >
                <div v-if="data.id === 'deal_payment_history'" class="tooltiptext">
                  Mã chứng từ
                  <div class="required">Số tiền</div>
                  <div class="required">Ngày thanh toán</div>
                </div>
                <div class="att-sortable" :class="data.class">
                  <i class="icon icon-dragdrop"></i>
                </div>
                <div class="name d-flex align-items-center">
                  <div class="att-icon" :class="data.color"></div>
                  <div :class="{ 'required': data.is_required }">{{ data.attribute_name }}</div>
                  <i class="icon icon-cancel" @click="removeAtt(data)"></i>
                </div>
              </div>
            </draggable>
          </div>
        </div>
      </div>
      <div class="footer">
        <vue-ladda
          :loading="isLoadingExport"
          button-class="btn"
          type="button"
          @click="exportExcel"
          :disabled="isLoading"
        >
          <i class="icon icon-download"></i>
          <span>Download file excel</span>
        </vue-ladda>
      </div>
    </div>
  </div>
</template>
